This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 751342 - Error in parsing /etc/mtab
Error in parsing /etc/mtab
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-04 08:58 EDT by Radek Novacek
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-01 18:31:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Radek Novacek 2011-11-04 08:58:36 EDT
Description of problem:
Systemd allows to join multiple cgroup controllers into one item (see `man systemd.conf`, JoinControllers). Default value for this option is:

JoinControllers=cpu,cpuacct

which results to this line in /etc/mtab:

cgroup /sys/fs/cgroup/cpu,cpuacct cgroup rw,nosuid,nodev,noexec,relatime,cpuacct,cpu 0 0

Lens file for /etc/fstab and /etc/mtab forbids having comma in spec definition. So /etc/mtab is not parsed correctly and can't be used by augeas.

Version-Release number of selected component (if applicable):
augeas-0.9.0-1.fc16.x86_64
systemd-37-2.fc16.x86_64

Steps to Reproduce:
1. run `augtool`
2. print /augeas/files/etc/mtab/error/
  
Actual results:
/augeas/files/etc/mtab/error = "parse_failed"
/augeas/files/etc/mtab/error/pos = "936"
/augeas/files/etc/mtab/error/line = "14"
/augeas/files/etc/mtab/error/char = "0"
/augeas/files/etc/mtab/error/lens = "/usr/share/augeas/lenses/dist/fstab.aug:32.12-.42:"
/augeas/files/etc/mtab/error/message = "Iterated lens matched less than it should"


Expected results:
No error
Comment 1 David Lutterkort 2011-12-01 18:31:45 EST
Committed a fix as commit e988a577 upstream. Will be in the next release (> 0.9.0)

Note You need to log in before you can comment on or make changes to this bug.